Skip to content
GuidesPlaygroundDashboard

Fetch multiple features by type and ID

FeatureCollection elements().batch(ElementBatchParamsparams, RequestOptionsrequestOptions = RequestOptions.none())
POST/api/v1/features/batch

Fetch multiple features by type and ID

ParametersExpand Collapse
ElementBatchParams params
BatchRequest batchRequest
ReturnsExpand Collapse
class FeatureCollection:

Bare GeoJSON FeatureCollection. Pagination metadata is returned in HTTP headers (X-Limit, X-Has-More, X-Next-Cursor, X-Next-Offset, Link).

List<GeoJsonFeature> features
Coordinates coordinates

GeoJSON coordinates array (nesting depth varies by geometry type)

One of the following:
List<double>
List<List<double>>
List<List<List<double>>>
List<List<List<List<double>>>>
Type type
One of the following:
POINT("Point")
LINE_STRING("LineString")
POLYGON("Polygon")
MULTI_POINT("MultiPoint")
MULTI_LINE_STRING("MultiLineString")
MULTI_POLYGON("MultiPolygon")
Properties properties
Type type
Optional<String> id

Feature identifier (type/osm_id)

Optional<Long> osmId

OpenStreetMap ID

Type type

Fetch multiple features by type and ID

package com.plazafyi.example;

import com.plazafyi.client.PlazaClient;
import com.plazafyi.client.okhttp.PlazaOkHttpClient;
import com.plazafyi.models.FeatureCollection;
import com.plazafyi.models.elements.BatchRequest;
import com.plazafyi.models.elements.ElementBatchParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        PlazaClient client = PlazaOkHttpClient.fromEnv();

        BatchRequest params = BatchRequest.builder()
            .addElement(BatchRequest.Element.builder()
                .id(0L)
                .type(BatchRequest.Element.Type.NODE)
                .build())
            .build();
        FeatureCollection featureCollection = client.elements().batch(params);
    }
}
Returns Examples